Bug 525908 (computerquip) - Intel GM45 gives distorted OpenGL 2.0 features even though supported hardware wise
Summary: Intel GM45 gives distorted OpenGL 2.0 features even though supported hardware...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: computerquip
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 11
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-26 23:06 UTC by Zachary
Modified: 2018-04-11 11:27 UTC (History)
4 users (show)

Fixed In Version: Fedora 12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-15 00:56:55 UTC


Attachments (Terms of Use)
lspci (23 bytes, text/plain)
2009-09-26 23:06 UTC, Zachary
no flags Details
glxinfo (23 bytes, text/plain)
2009-09-26 23:07 UTC, Zachary
no flags Details
Screenshot Example (99.41 KB, image/png)
2009-09-26 23:08 UTC, Zachary
no flags Details
Xorg.0.log (current non-working log) (55.76 KB, text/plain)
2009-09-26 23:20 UTC, Zachary
no flags Details
Smolt profile detailing hardware (23 bytes, text/plain)
2009-09-26 23:25 UTC, Zachary
no flags Details
Xorg.conf (650 bytes, text/plain)
2009-09-26 23:28 UTC, Zachary
no flags Details
dmesg log (36.34 KB, text/plain)
2009-09-26 23:30 UTC, Zachary
no flags Details

Description Zachary 2009-09-26 23:06:25 UTC
Created attachment 362791 [details]
lspci

Description: When using any 3D accelerator, it seems that OpenGL 2.0 features are not shown correctly. My chip, Mobile Intel GM45, is said to have OpenGL 2.0 capable but most OpenGL 2.0 features do not show correctly. UXA and EXA Accelerating methods do not show a difference in the problem (while nomodeset as a kernel argument and shown in log) while XAA actually prevent X from starting (not there?). I found that turning NoAccel option in xorg.conf (or using a software renderer) works but is slow (of course) and using OpenGL features only still work correctly. 


Version-Release number of selected component: xorg-x11-drv-intel-2.7.0-7.fc11.i586

How reproducible: There seems to be a couple of people having these problems with different cards. Using any shaders with OpenGL will not work and you will get a static-like image.

Additional info: This problem does not exist on other Linux distributions. I've used Gentoo for a year or two with much better support and OpenSUSE (although I hated OpenSUSE for random crashing with what seems to be no error) also had no problems displaying the wanted graphics. 

Also, the recent update of the Intel driver actually fixed a major problem I had. Before single buffered windows would not work at all and were very distorted. It seems major bugs are fixed every release and my belief is that the latest drivers (2.8.1) would be able to fix this. I'm not 100% sure though.

Comment 1 Zachary 2009-09-26 23:07:36 UTC
Created attachment 362792 [details]
glxinfo

Comment 2 Zachary 2009-09-26 23:08:21 UTC
Created attachment 362793 [details]
Screenshot Example

Comment 3 Zachary 2009-09-26 23:10:44 UTC
Comment on attachment 362793 [details]
Screenshot Example

Please note that the square in the middle is in the position where it's supposed to be since in the example the square is moving. The distortions such as the uneven box and static-like picture is the pin-pointed problems.

Comment 4 Zachary 2009-09-26 23:20:46 UTC
Created attachment 362794 [details]
Xorg.0.log (current non-working log)

The following shows most of the configuration of the Xorg server. Remember I've already tried XAA and EXA with no change from UXA.

Comment 5 Zachary 2009-09-26 23:25:09 UTC
Created attachment 362795 [details]
Smolt profile detailing hardware

I never even knew the Smolt profile existed before this lol.

Comment 6 Zachary 2009-09-26 23:28:26 UTC
Created attachment 362796 [details]
Xorg.conf

The xorg.conf I think is irrelevant. It works without and with the configuration and the tiling option also had no affect whatsoever.

Comment 7 Zachary 2009-09-26 23:30:39 UTC
Created attachment 362797 [details]
dmesg log

Comment 8 Zachary 2009-09-26 23:36:27 UTC
Comment on attachment 362791 [details]
lspci

The sentence, "using OpenGL
features only still work correctly." is meant be "using OpenGL less than 1.3 features only still work correctly."

Comment 9 Zachary 2009-09-30 00:37:41 UTC
I've found that moving to Fedora 12 Pre-release milestone has fixed ALL of the problems described above. I've yet to find any problem with rendering the correct graphics and features.

Comment 10 Matěj Cepl 2009-11-05 18:38:28 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 11 Chris Campbell 2009-12-09 19:51:24 UTC
Zachary, do you mean (in Comment #9) that this is no longer an issue? (Just checking before closing.)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 12 Matěj Cepl 2010-02-26 12:23:39 UTC
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Comment 13 Zachary 2010-04-15 00:56:03 UTC
I fail to see how its insufficeient data as I've already mentioned that the bugs are mainly fixed in the later version because of update Intel drivers.

However, there are still problems. Intel Linux drivers are heavily in development and will be for a good while now. Intel isn't the way to go on Linux graphics. For now, I'm rooting for the guys over at http://intellinuxgraphics.org


Note You need to log in before you can comment on or make changes to this bug.